VERIFYSIGNATURE(1)

NAME
verifysignature - Runs TPM2 verifysignature

DESCRIPTION
verifysignature

Runs TPM2_VerifySignature and/or verifies using the PEM public key

-if input message file name

-ih input hash file name

    One of -if, -ih must be specified

-is signature file name

[-raw
    signature specified by -is is in raw format] (default TPMT_SIGNATURE)

-hk key handle

-ipem
    public key PEM format file name to verify signature

-ihmac
    HMAC key in raw binary format file name to verify signature

    One of -hk, -ipem, -ihmac must be specified

[-tk
    ticket file name (requires -hk)]

[-halg
    (sha1, sha256, sha384 sha512) (default sha256)]

    [Asymmetric Key Algorithm]

[-rsa
    (default)]

[-ecc
    ]

-se[0-2] session handle / attributes (default NULL)

01  continue

20  command decrypt

80  audit